<?php
namespace Mirasvit\Search\Block\Options\GoogleSitelinks;

/**
 * Interceptor class for @see \Mirasvit\Search\Block\Options\GoogleSitelinks
 */
class Interceptor extends \Mirasvit\Search\Block\Options\GoogleSitelinks implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Mirasvit\Search\Model\ConfigProvider $config, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $config, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
